{% extends 'base.html' %}

{% block head %}

<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }} + '/user/' + {{ user.username }} ">

<meta property="og:title" content="User '{{ user.username }}' ({{ playlistcount}} Playlists)">
<meta property="og:description" content="{{ user.description }}">

{% if user.featured_playlist and user.featured_playlist.pl_title %}
    <meta property="og:image" content="{{ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/' ~ user.featured_playlist.title | ia_fname ~ '-' ~ user.featured_playlist.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/__ia_thumb.jpg' }}';" >
    <meta property="og:image:secure_url" content="{{ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/' ~ user.featured_playlist.title | ia_fname ~ '-' ~ user.featured_playlist.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/__ia_thumb.jpg' }}';" >
{% else %}
    <meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
    <meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
{% endif %}


{% endblock %}

{% block content %}
    {% if session.user and session.user.id == user.id %}
        {% with active_nav='settings' %}
            {% include "widgets/navtabs.html" %}
        {% endwith %}
    {%  else %}
        {% with active_nav='user' %}
            {% include "widgets/navtabs.html" %}
        {% endwith %}
    {% endif %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-2-3">
                    <div class="pure-u-1 pure-md-1-1">
                        {% if session.user and session.user.username == 'admin' %}
                            <a href="{{ url_for('admin.index') }}">
                        {% endif %}
                            <i class='ion-ios-contact' style="font-size: 24px"></i></a>
                            <b>{{ user.username }}</b>
                        <p></p>
                    </div>
                </div>
                <div class="pure-u-1-3">
                    <div class="pure-u-1 pure-md-1-1" style="text-align:right">
                        {% if session.user and session.user.id == user.id %}
                            <a href="{{ url_for('settings.update_user') }}">
                            <i class='ion-md-create' style="font-size: 24px"></i></a>
                            &nbsp;&nbsp;
                            <a href="{{ url_for('auth.delete') }}?original_url={{ current_url }}"}}">
                            <i class='ion-md-trash' style="font-size: 24px"></i></a>
                        {% endif %}
                    </div>
                </div>
                <div class="pure-u-1-1">
                    <div class="pure-u-1 pure-md-1-1">
                        {{ user.description | linkify | safe }}
                        <p></p>
                    </div>
                </div>
                {% if session.user and session.user.id == user.id %}
                    <div class="pure-u-1-3">
                        <div class="pure-u-1 pure-md-1-1">
                            <a href="{{ url_for('user.history') }}">
                            <i class='ion-md-done-all'  style="font-size: 24px"></i>
                            <b>{{ gettext('History') }}</b></a>
                        </div>
                    </div>
                    <div class="pure-u-1-3">
                        <div class="pure-u-1 pure-md-1-1" style="text-align:center;">
                        </div>
                    </div>
                    <div class="pure-u-1-3">
                        <div class="pure-u-1 pure-md-1-1" style="text-align:right;">
                            <a href="{{ url_for('user.watchlater') }}">
                            <i class='ion-md-time'  style="font-size: 24px"></i>
                            <b>{{ gettext('WatchLater') }}</b></a>
                        </div>
                    </div>
                {% endif %}
                <p>&nbsp;</p>
                <div class="pure-u-1-1">
                    <div class="pure-u-1 pure-md-1-1">
                        <i class='ion-md-list'  style="font-size: 24px"></i>
                        <b>&nbsp;{{ playlistcount }}</b>
                        <b>&nbsp;|&nbsp;</b>
                        <i class='ion-md-eye'  style="font-size: 20px"></i>
                        <b>&nbsp;{{ user.view_counter }}</b>
                        <b>&nbsp;|&nbsp;</b>
                        {% if user.public  %}
                            <i class='ion-md-globe'  style="font-size: 20px"></i>
                            <b>{{ gettext('Public') }}</b>
                        {% else %}
                            <i class='ion-md-lock'  style="font-size: 20px"></i>
                            <b>{{ gettext('Private') }}</b>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>


<div class="pure-g">
  <div class="pure-u-1 pure-u-md-2-24"></div>
  <div class="pure-u-1 pure-u-md-20-24">
    <div class="pure-g">
        {% for playlist in playlists %}
            <div class="pure-u-1 pure-u-md-1-4">
                <div class="h-box">
                    <a href="{{ url_for('playlist.item', playlist=playlist.hashid ) }}">
                        {% if playlist.featured_video %}
                            <div class="thumbnail">
                                <img class="thumbnail" src="{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/' ~ playlist.featured_video.title | ia_fname ~ '-' ~ playlist.featured_video.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/__ia_thumb.jpg' }}';" >
                            </div>
                        {% endif %}
                        <i class='ion-md-list'  style="font-size: 24px"></i>
                            <b>{{ playlist.title }}</b></a>
                        {% if user.featured_playlist and user.featured_playlist.pl_id == playlist.id %}
                            <span style="color: red; ">
                                &nbsp;&nbsp;<i class='ion-ios-star'  style="font-size: 16px"></i></span>
                        {% endif %}
                    {% if playlist['description']  is not none %}
                      <p>{{ playlist.description | linkify | safe }}<p>
                    {% endif %}
                    <i class='ion-logo-youtube'  style="font-size: 20px"></i>
                    <b>{{ playlist.video_count }}</b>
                    <b>&nbsp;|&nbsp;</b>
                    <i class='ion-md-eye'  style="font-size: 20px"></i>
                    <b>{{ playlist.view_counter }}</b>
                    <b>&nbsp;|&nbsp;</b>
                    <i class='ion-md-create'  style="font-size: 20px"></i>
                    <b>{{ playlist.updated | time_diff }}</b>
                    <p></p><br>
                </div>
            </div>
        {% endfor %}
        </div>
    </div>
  </div>

  <br>

{% endblock %}